## com.baidubce.http
Interface Headers

    public interface Headers

Common BOS HTTP header values used throughout the BCE BOS Java client.

Field Summary
`static String` `AUTHORIZATION`
`static String` `BCE_ACL`
`static String` `BCE_CONTENT_SHA256`
`static String` `BCE_COPY_METADATA_DIRECTIVE`
`static String` `BCE_COPY_SOURCE`
`static String` `BCE_COPY_SOURCE_IF_MATCH`
`static String` `BCE_DATE`
`static String` `BCE_PREFIX`
`static String` `BCE_REQUEST_ID`
`static String` `BCE_SECURE_TOKEN`
`static String` `BCE_USER_METADATA_PREFIX`
`static String` `BOS_DEBUG_ID`
`static String` `CONTENT_DISPOSITION`
`static String` `CONTENT_ENCODING`
`static String` `CONTENT_LENGTH`
`static String` `CONTENT_MD5`
`static String` `CONTENT_RANGE`
`static String` `CONTENT_TYPE`
`static String` `DATE`
`static String` `ETAG`
`static String` `EXPIRES`
`static String` `HOST`
`static String` `LAST_MODIFIED`
`static String` `RANGE`
`static String` `SERVER`
`static String` `TRANSFER_ENCODING`
`static String` `USER_AGENT`

Field Detail

### AUTHORIZATION

    static final String AUTHORIZATION

See Also:
  Constant Field Values

### CONTENT_DISPOSITION

    static final String CONTENT_DISPOSITION

See Also:
  Constant Field Values

### CONTENT_ENCODING

    static final String CONTENT_ENCODING

See Also:
  Constant Field Values

### TRANSFER_ENCODING

    static final String TRANSFER_ENCODING

See Also:
  Constant Field Values

### CONTENT_LENGTH

    static final String CONTENT_LENGTH

See Also:
  Constant Field Values

### CONTENT_MD5

    static final String CONTENT_MD5

See Also:
  Constant Field Values

### CONTENT_RANGE

    static final String CONTENT_RANGE

See Also:
  Constant Field Values

### CONTENT_TYPE

    static final String CONTENT_TYPE

See Also:
  Constant Field Values

### DATE

    static final String DATE

See Also:
  Constant Field Values

### ETAG

    static final String ETAG

See Also:
  Constant Field Values

### EXPIRES

    static final String EXPIRES

See Also:
  Constant Field Values

### HOST

    static final String HOST

See Also:
  Constant Field Values

### LAST_MODIFIED

    static final String LAST_MODIFIED

See Also:
  Constant Field Values

### RANGE

    static final String RANGE

See Also:
  Constant Field Values

### SERVER

    static final String SERVER

See Also:
  Constant Field Values

### USER_AGENT

    static final String USER_AGENT

See Also:
  Constant Field Values

### BCE_PREFIX

    static final String BCE_PREFIX

See Also:
  Constant Field Values

### BCE_ACL

    static final String BCE_ACL

See Also:
  Constant Field Values

### BCE_CONTENT_SHA256

    static final String BCE_CONTENT_SHA256

See Also:
  Constant Field Values

### BCE_COPY_METADATA_DIRECTIVE

    static final String BCE_COPY_METADATA_DIRECTIVE

See Also:
  Constant Field Values

### BCE_COPY_SOURCE

    static final String BCE_COPY_SOURCE

See Also:
  Constant Field Values

### BCE_COPY_SOURCE_IF_MATCH

    static final String BCE_COPY_SOURCE_IF_MATCH

See Also:
  Constant Field Values

### BCE_DATE

    static final String BCE_DATE

See Also:
  Constant Field Values

### BCE_USER_METADATA_PREFIX

    static final String BCE_USER_METADATA_PREFIX

See Also:
  Constant Field Values

### BCE_REQUEST_ID

    static final String BCE_REQUEST_ID

See Also:
  Constant Field Values

### BCE_SECURE_TOKEN

    static final String BCE_SECURE_TOKEN

See Also:
  Constant Field Values

### BOS_DEBUG_ID

    static final String BOS_DEBUG_ID

See Also:
  Constant Field Values

Copyright © 2016. All rights reserved.